Package org.apache.batchee.container.impl.controller

## Class DecisionController

- java.lang.Object
- - org.apache.batchee.container.impl.controller.DecisionController

- All Implemented Interfaces:
    `Controller`, `ExecutionElementController`

      public class DecisionController
      extends Object
      implements ExecutionElementController

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecisionController​(RuntimeJobExecution jobExecution, Decision decision, ServicesManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionStatus` | `execute()` |
    `List<Long>` | `getLastRunStepExecutions()` |
    `protected void` | `setPreviousStepExecutions​(ExecutionElement previousExecutionElement, ExecutionElementController previousElementController)` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionController

          public DecisionController​(RuntimeJobExecution jobExecution,
                                    Decision decision,
                                    ServicesManager manager)

  - ### Method Detail

    - #### execute

          public ExecutionStatus execute()

      Specified by:
        `execute` in interface `ExecutionElementController`

    - #### setPreviousStepExecutions

          protected void setPreviousStepExecutions​(ExecutionElement previousExecutionElement,
                                                   ExecutionElementController previousElementController)

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `Controller`

    - #### getLastRunStepExecutions

          public List<Long> getLastRunStepExecutions()

      Specified by:
        `getLastRunStepExecutions` in interface `Controller`